This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 979528 - EnterpriseDB (PostgresPlus) 9.2: DBInitializerException: Could not create the DB schema of the workspace 'system'.
EnterpriseDB (PostgresPlus) 9.2: DBInitializerException: Could not create the...
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity medium
: DR01
: 6.1.1
Assigned To: Boleslaw Dawidowicz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 14:05 EDT by Tomas Kyjovsky
Modified: 2014-02-11 23:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A bug in the JCR prevented the portal starting when an EnterpriseDB (PostgresPlus) 9.2 database was used. The error "DBInitializerException: Could not create the DB schema of the workspace 'system'" was thrown with a reason of "ERROR: syntax error at or near "generated"" as a result of the bug. The fix implements improvements to the JRC code which better handle the database, and corrects the originally reported issue.
Story Points: ---
Clone Of:
Environment:
PostgresPlus 9.2 (EnterpriseDB)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DBInitializerException (9.21 KB, text/plain)
2013-06-28 14:05 EDT, Tomas Kyjovsky
no flags Details

  None (edit)
Description Tomas Kyjovsky 2013-06-28 14:05:38 EDT
Created attachment 766688 [details]
DBInitializerException

Description of problem:

SQL problem when initializing JCR tables.

org.exoplatform.services.jcr.impl.util.jdbc.DBInitializerException: Could not create the DB schema of the workspace 'system'. Reason: ERROR: syntax error at or near "generated"


Steps to Reproduce:
1. configure JPP-6.1 ER01 with PostgresPlus 9.2 (including manually setting of hibernate.dialect for IDM and JCR datasources)
2. start portal
Comment 3 Tomas Kyjovsky 2013-07-02 07:52:47 EDT
The same problem occurs with PostgreSQL driver: postgresql-9.2-1002.jdbc4.jar.
Comment 4 Tomas Kyjovsky 2013-07-02 09:10:10 EDT
CORRECTION: I forgot to change jdbc URLs of datasources from jdbc:edb:// to jdbc:postgresql:// along with the driver jar. JPP+EDB is now working OK when PostgreSQL-9.2 driver is used (with jdbc:postgresql:// URL prefix).
Comment 5 Thomas Heute 2013-11-06 11:50:03 EST
Is it actually still a bug ? Or wrong config ?
Comment 6 Dominik Pospisil 2013-11-13 09:21:11 EST
Verified (GA + 0day patch)

Note You need to log in before you can comment on or make changes to this bug.